package com.seer.teach.mall.shipping.jt.exception;

public enum ExceptionCodeEnum {
    BAD_REQUEST("400", "parameter is invalid");

    private String code;
    private String msg;

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return this.msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    private ExceptionCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String toString(String msg) {
        return "code: " + this.code + ", msg: " + this.msg + " " + msg;
    }
}
